Bug 192838 - Update multimedia/xbmc to 13.2
Summary: Update multimedia/xbmc to 13.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-19 20:36 UTC by Ulrich Spoerlein
Modified: 2014-08-24 07:32 UTC (History)
1 user (show)

See Also:


Attachments
Update xmbc to 13.2 (18.62 KB, patch)
2014-08-19 20:36 UTC, Ulrich Spoerlein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Spoerlein freebsd_committer 2014-08-19 20:36:02 UTC
Created attachment 146049 [details]
Update xmbc to 13.2

This also makes all the Samba ports optional, so that you can still have a smbd installed on the same system as XBMC (the proper fix is to split up the samba port, but that's a different PR)

One problem with the patch remains: How do you get the langinfo.xml files for the newly added languages? It doesn't seem that they are being generated by the build tool, and they are not in the tarball either.
Comment 1 John Marino freebsd_committer 2014-08-19 22:52:09 UTC
over to maintainer for approval
Comment 2 mickael.maillot 2014-08-21 19:54:35 UTC
It's ok for me.
And you can add the switch from USE_PYTHON=2 to USES=python:2
Comment 3 commit-hook freebsd_committer 2014-08-24 07:32:25 UTC
A commit references this bug:

Author: uqs
Date: Sun Aug 24 07:32:19 UTC 2014
New revision: 365900
URL: http://svnweb.freebsd.org/changeset/ports/365900

Log:
  Update xbmc to 13.2. Hide all samba depends behind WITH_SMB.

  PR:		192838
  Submitted by:	uqs
  Approved by:	maintainer

Changes:
  head/multimedia/xbmc/Makefile
  head/multimedia/xbmc/distinfo
  head/multimedia/xbmc/pkg-plist